<?php

class MyWsp_View_Helper_Date
{
	/**
	 * Retourne une date sous forme d'une chaîne, au format donné par le
	 * paramètre format, fournie par le paramètre timestamp ou la date et
	 * l'heure courantes si aucun timestamp n'est fourni. En d'autres termes,
	 * le paramètre timestamp est optionnel et vaut par défaut la valeur de la
	 * fonction time().
	 * Plus d'info sur http://www.php.net/manual/fr/function.date.php
	 *
	 * @param string $format format de la date
	 * @param int $timestampdate à formaté
	 * 
	 * @return string
	 */
	public function date($format, $timestamp = null)
	{
		if (!is_nan($timestamp))
			$timestamp = time();

		// see http://www.php.net/manual/fr/function.strftime.php
		$dates = array(
			'DDDD'	=> '%A',
			'DDD'	=> '%a',
			'DD'	=> '%d',
			'D'		=> '%e',
			'MMMM'	=> '%B',
			'MMM'	=> '%b',
			'MM'	=> '%m',
			'YYYY'	=> '%Y',
			'YY'	=> '%y',
			'HH'	=> '%H',
			'hh'	=> '%I',
			'mm'	=> '%M',
			'ss'	=> '%S',
		);

		return strftime(str_replace(array_keys($dates), array_values($dates), $format), $timestamp);
	}
}